classification
Title: The deprecated-removed Sphinx extension need to change the error message based on the Python version
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: DahlitzFlorian, docs@python, mdk, miss-islington, remi.lapeyre
Priority: normal Keywords: patch

Created on 2020-05-27 21:56 by remi.lapeyre, last changed 2020-05-30 07:55 by miss-islington. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 20483 merged DahlitzFlorian, 2020-05-28 13:23
PR 20531 merged miss-islington, 2020-05-30 07:47
PR 20532 merged miss-islington, 2020-05-30 07:47
PR 20533 merged miss-islington, 2020-05-30 07:48
Messages (8)
msg370141 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2020-05-27 21:56
The new deprecated-removed extension in the documentation always produces text like this:

   Deprecated since version 3.4, will be removed in version 3.8: MD5 as implicit default digest

This message should be used in the documentation of 3.4 to 3.7 and then it should produce:

   Deprecated since version 3.4, removed in version 3.8: MD5 as implicit default digest

I'm not sure if Sphinx knows which Python version it is building the documentation for.

This is the only instance were this is used with a version less than 3.9 so all other messages are currently correct.

I think a new contributor should be able to fix this.
msg370199 - (view) Author: Florian Dahlitz (DahlitzFlorian) * Date: 2020-05-28 12:30
I would like to submit a PR for it if possible.
msg370200 - (view) Author: Rémi Lapeyre (remi.lapeyre) * Date: 2020-05-28 12:37
Hi Florian, please have a go and open one on GitHub so it can be reviewed.
msg370360 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2020-05-30 07:47
New changeset 735d902b363b759df9ff00e58bbf4f7e2bde78cd by Florian Dahlitz in branch 'master':
bpo-40798: Generate a different message for already removed elements (GH-20483)
https://github.com/python/cpython/commit/735d902b363b759df9ff00e58bbf4f7e2bde78cd
msg370361 - (view) Author: Julien Palard (mdk) * (Python committer) Date: 2020-05-30 07:50
Thanks @Rémi for this great idea and Florian for the implementation!
msg370362 - (view) Author: miss-islington (miss-islington) Date: 2020-05-30 07:52
New changeset a9dbae434f26b2c419a1cd0a8233143f40fd00db by Miss Islington (bot) in branch '3.7':
bpo-40798: Generate a different message for already removed elements (GH-20483)
https://github.com/python/cpython/commit/a9dbae434f26b2c419a1cd0a8233143f40fd00db
msg370363 - (view) Author: miss-islington (miss-islington) Date: 2020-05-30 07:54
New changeset 588efc29c5dc4ffaac116a214d13cca936e346a9 by Miss Islington (bot) in branch '3.9':
bpo-40798: Generate a different message for already removed elements (GH-20483)
https://github.com/python/cpython/commit/588efc29c5dc4ffaac116a214d13cca936e346a9
msg370364 - (view) Author: miss-islington (miss-islington) Date: 2020-05-30 07:55
New changeset ba1c2c85b39fbcb31584c20f8a63fb87f9cb9c02 by Miss Islington (bot) in branch '3.8':
bpo-40798: Generate a different message for already removed elements (GH-20483)
https://github.com/python/cpython/commit/ba1c2c85b39fbcb31584c20f8a63fb87f9cb9c02
History
Date User Action Args
2020-05-30 07:55:02miss-islingtonsetmessages: + msg370364
2020-05-30 07:54:33miss-islingtonsetmessages: + msg370363
2020-05-30 07:52:30miss-islingtonsetmessages: + msg370362
2020-05-30 07:50:16mdksetmessages: + msg370361
2020-05-30 07:49:32mdksetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-05-30 07:48:03miss-islingtonsetpull_requests: + pull_request19777
2020-05-30 07:47:56miss-islingtonsetpull_requests: + pull_request19776
2020-05-30 07:47:49miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request19775
2020-05-30 07:47:38mdksetmessages: + msg370360
2020-05-28 13:23:13DahlitzFloriansetkeywords: + patch
stage: patch review
pull_requests: + pull_request19732
2020-05-28 12:37:06remi.lapeyresetmessages: + msg370200
2020-05-28 12:30:55DahlitzFloriansetmessages: + msg370199
2020-05-28 11:45:40DahlitzFloriansetnosy: + DahlitzFlorian
2020-05-27 23:07:15ned.deilysetnosy: + mdk
2020-05-27 21:56:58remi.lapeyrecreate